सूचना प्रबंधक
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| search | विकल्प तारों | खोज श्रृंखला |
| search_by | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: name. |
| is_enabled | विकल्प बोलेन | |
| type | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: . |
| datetime_field | विकल्प तारों | अनुमोदित मूल्य: datetime, last_datetime |
| datetime_start | विकल्प तारों | फ़िल्टर परिणाम इस तारीख से शुरू होता है। Y-m-d H:i:s प्रारूप है। |
| datetime_end | विकल्प तारों | इस तारीख तक फ़िल्टर परिणाम। Y-m-d H:i:s प्रारूप है। |
| order_by | विकल्प तारों | क्या फ़ील्ड के माध्यम से परिणामों को आदेश देने के लिए. अनुमति दी गई मूल्यों हैं: notification_handler_id, datetime, last_datetime, name. |
| order_type | विकल्प तारों | परिणामों का आदेश. अनुमति देने वाले मूल्य हैं: ASC उतरने के लिए आदेश, और DESC आदेश देने के लिए नीचे। |
| search | विकल्प तारों | खोज श्रृंखला |
| search_by | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: name. |
| is_enabled | विकल्प बोलेन | |
| type | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: . |
| datetime_field | विकल्प तारों | अनुमोदित मूल्य: datetime, last_datetime |
| datetime_start | विकल्प तारों | फ़िल्टर परिणाम इस तारीख से शुरू होता है। Y-m-d H:i:s प्रारूप है। |
| datetime_end | विकल्प तारों | इस तारीख तक फ़िल्टर परिणाम। Y-m-d H:i:s प्रारूप है। |
| order_by | विकल्प तारों | क्या फ़ील्ड के माध्यम से परिणामों को आदेश देने के लिए. अनुमति दी गई मूल्यों हैं: notification_handler_id, datetime, last_datetime, name. |
| order_type | विकल्प तारों | परिणामों का आदेश. अनुमति देने वाले मूल्य हैं: ASC उतरने के लिए आदेश, और DESC आदेश देने के लिए नीचे। |
| page | विकल्प कुल मिलाकर | पृष्ठ संख्या जिससे आप परिणाम चाहते हैं. दोषों से 1. |
| results_per_page | विकल्प कुल मिलाकर | कितने परिणाम आप पृष्ठ के लिए चाहते हैं. अनुमति दी गई मूल्यों हैं: 10, 25, 50, 100, 250, 500, 1000. दोषों के लिए 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:40:03",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:40:03",
}
}
POST https://0o0.online/api/notification-handlers
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| name | आवश्यक तारों | - |
| type | आवश्यक तारों | अनुमोदित मूल्य: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| name | विकल्प तारों | - |
| type | विकल्प तारों | अनुमोदित मूल्य: |
| is_enabled | विकल्प बोलेन | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \